#
# spec file for package jag
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jag
Version:        0.3.2
Release:        lp150.1.9
Summary:        Arcade and Puzzle 2D Game in which you have to break all the target pieces
License:        GPL-3.0+
Group:          Amusements/Games/Logic
Url:            http://jag.xlabsoft.com/
Source0:        http://jag.xlabsoft.com/files/%{name}-%{version}-src.zip
Source1:        http://jag.xlabsoft.com/files/%{name}-%{version}-data.zip
Source2:        %{name}-icons.tar
Source3:        %{name}.desktop
Source4:        %{name}.appdata.xml
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
BuildRequires:  gcc-c++
BuildRequires:  libqt4-devel
BuildRequires:  unzip
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(sdl)
Requires:       %{name}-data
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The aim of JAG is to break all of the target pieces on each level,
and to do this before the time runs out. Keep doing this until you
have beaten the last level and won the game.

%package data
Summary:        Data files for the JAG
Group:          Amusements/Games/Logic
Requires:       %{name}
BuildArch:      noarch

%description data
The aim of JAG is to break all of the target pieces on each level,
and to do this before the time runs out. Keep doing this until you
have beaten the last level and won the game.

Data files (bonus, help, lang, levels, schemes, sounds, tools) for JAG.

%prep
%setup -q -a1 -a2 -n %{name}-%{version}-src

mv %{name}-%{version}-data/data .

# SED-FIX-OPENSUSE -- Fix paths and libraries
sed -i -e 's|/usr/local/bin|/usr/bin|;
           s|/usr/local/games|/usr/share|;
           s|-lSDLmain|-lSDL -lX11|' Game.pro

sed -i -e 's|/usr/local/games|/usr/share|' main.cpp

%build
qmake QMAKE_CFLAGS+="%optflags" QMAKE_CXXFLAGS+="%optflags"
make %{?_smp_mflags} CFLAGS="%{optflags} -fgnu89-inline"

%install
make INSTALL_ROOT=%{buildroot} install

# install icons
for i in 22 32 48 64 72 96 128 256 ; do
    install -Dm 0644 icons/%{name}_${i}x${i}.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/%{name}.png
done

# install Desktop files
install -Dm 0644 %{S:3} %{buildroot}%{_datadir}/applications/%{name}.desktop

%if 0%{?suse_version}
    %suse_update_desktop_file %{name}
%endif

# install software gallery metadata
install -Dm 0644 %{S:4} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/icons/hicolor/
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml

%files data
%defattr(-,root,root,-)
%{_datadir}/%{name}/data

%changelog
* Sun Sep 25 2016 mailaender@opensuse.org
- add appdata.xml for https://en.opensuse.org/openSUSE:AppStore
* Tue Jun 23 2015 nemysis@gmx.ch
- Update to 0.3.2, announce message:
    added Italian translation (thanks to Franco Rebora)
    added Dutch translation (thanks to Bart Van Loy)
    added French translation (thanks to Tutur)
    added "Learning ABC" level pack with 26 levels (thanks to Andrej Pohilko aka APC (http://apc.kg))
  Improvements:
    extended display settings (multi monitor recognition)
    dynamic help loading
    added menu icons
    compiled with Qt 4.7.2
- Modernize spec
- Change Summary
- Change license GPL-2.0 to GPL-3.0+
- Change Group
- Change Sources to use Web URL
- Use jag-data instead of more Sources
- Use sed instead of simple patches
- Remove patches jag-0.2.3-paths.patch and jag-0.3.1-link.patch
- Add more icons, use jag-icons.tar
- Change Desktop entry file
- Use BuildRequires pkgconfig() instead of devel packages
- Add Requires for jag-data
- Change Description
- Split out jag-data into subpackage
- Rename level-editor to jag-level-editor and split out
  jag-level-editor into separate RPM,
  because directories not owned by a package
- Fix 'File is compiled without RPM_OPT_FLAGS'
- Add Documentation
* Tue Nov  1 2011 prusnak@opensuse.org
- fix build on openSUSE 12.1+
* Fri Mar 12 2010 adam@mizerski.pl
- updated to version 0.3.1
  * added German translation (thanks to Kristjan Schmidt)
  * Fixes:
  * * broken font in dialogs with low screen resolution
  * * alternative detection of video modes on X11 if xrandr fails
  * * some compiler warnings removed
  * * some memory leaks removed
  * Improvements:
  * * main menu is centered to be visible even if JAG's main window cannot fit on the screen
* Fri Jan  1 2010 randybb@gmail.com
- updated to version 0.3.0
* Fri Nov  6 2009 randybb@gmail.com
- updated to version 0.2.6 (includes SunZero levels)
* Fri Aug 14 2009 prusnak@suse.cz
- updated to version 0.2.5
* Thu Jul 16 2009 randybb@gmail.com
- added desktop file and icon
* Wed Jul 15 2009 randybb@gmail.com
- updated to version 0.2.3
* Tue Jun 30 2009 prusnak@suse.cz
- created package (version 0.2.0)
